Qore MysqlSqlUtil Module Reference 1.0

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Groups Pages
Public Member Functions | Public Attributes | List of all members
MysqlSqlUtil::MysqlView Class Reference

represents a MySQL view More...

Inheritance diagram for MysqlSqlUtil::MysqlView:
[legend]

## Public Member Functions
| constructor (string n_name, string n_src, *string n_tablecatalog, *string n_schema, *string n_checkoption, *string n_definer, *string n_securitytype, bool n_updatable)
| creates the object from the arguments
string | getCreateSql (*hash opt)
| returns a string that can be used to create the view in the database
softlist | getRenameSql (string new_name)
| returns a string that can be used to rename the view in the database

## Public Attributes
*string | checkoption
| checkoption clause
*string | definer
| dafiner clause
*string | securitytype
| security type value
*string | tablecatalog
| table catalog value

## Detailed Description

represents a MySQL view